@media screen and (max-width: 768px) {
  .calendar {
    margin-inline: 15px;
  }
}
.calendar-header {
  display: flex;
  flex-direction: column-reverse;
  justify-content: end;
  flex-wrap: wrap;
}
@media screen and (max-width: 768px) {
  .calendar-header {
    flex-direction: column;
    align-items: center;
    gap: 8px;
  }
}
.calendar-header .list01 {
  display: flex;
  justify-content: end;
  align-items: center;
  gap: 10px;
  font-size: 1.6rem;
  font-weight: 300;
  letter-spacing: 0.05em;
}
@media screen and (max-width: 768px) {
  .calendar-header .list01 {
    flex-wrap: wrap;
    gap: 8px 4px;
    justify-content: center;
  }
}
@media screen and (max-width: 768px) {
  .calendar-header .list02 {
    display: none;
  }
}
.calendar-header .list02 button:nth-child(2) {
  color: #2288ff;
}
.calendar-header button {
  font-size: 1.6rem;
  letter-spacing: 0.05em;
  cursor: pointer;
}
.calendar-header button.btn01 {
  border: 0;
  background-color: transparent;
}
.calendar-header button.btn02 {
  min-width: 64px;
  min-height: 28px;
  background: #EEEEEE;
  color: #333333;
  border: 1px solid #CCCCCC;
  border-radius: 6px;
}
@media screen and (max-width: 768px) {
  .calendar-header button.btn02 {
    min-width: 54px;
    font-size: 1.4rem;
  }
}
.calendar-tags {
  display: flex;
  align-items: center;
  gap: 12px;
  margin-top: 20px;
}
@media screen and (min-width: 769px) {
  .calendar-tags {
    display: none;
  }
}
.calendar-tags .item {
  display: flex;
  align-items: center;
  gap: 6px;
}
.calendar-tags .item div {
  display: inline-block;
  width: 28px;
  height: 18px;
  border-radius: 4px;
}
.calendar-tags .item div.red {
  background: #FFF5F4;
  border: 1px solid #ff3e29;
}
.calendar-tags .item div.green {
  background: #F2FCF8;
  border: 1px solid #00BB77;
}
.calendar-tags .item p {
  font-size: 1rem;
  font-weight: 600;
  letter-spacing: 0.05em;
}
.calendar-select {
  cursor: pointer;
  position: relative;
  min-width: 110px;
  align-content: center;
  background: #ffffff;
  border: 1px solid #cccccc;
  border-radius: 6px;
}
@media screen and (max-width: 768px) {
  .calendar-select {
    min-width: 90px;
  }
}
.calendar-select::before {
  content: "";
  position: absolute;
  top: 0;
  right: 26px;
  width: 1px;
  height: 100%;
  background-color: #ccc;
}
.calendar-select::after {
  content: "";
  position: absolute;
  top: 7px;
  right: 9px;
  width: 8px;
  height: 8px;
  border: 1px solid #333;
  border-top: 0;
  border-left: 0;
  transform: rotate(45deg);
}
.calendar-select select {
  cursor: pointer;
  width: 100%;
  font-weight: 300;
  color: #333333;
  min-height: 28px;
  border: 0;
  background-color: transparent;
  padding-left: 10px;
  padding-right: 26px;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}
.calendar-select select:focus {
  outline: unset;
}
.calendar-title01 {
  font-weight: 600;
  font-size: 2.4rem;
  line-height: 1.5;
  letter-spacing: 0.05em;
  color: #2288ff;
  text-align: left;
  margin-bottom: 16px;
}
@media screen and (min-width: 769px) {
  .calendar-title01 button {
    display: none;
  }
}
.calendar-tab {
  font-size: 1.6rem;
  font-weight: 600;
  letter-spacing: 0.05em;
  line-height: 27px;
  border: 2px solid #dddddd;
  border-right-width: 1px;
  margin: 20px 0 40px;
  border-radius: 10px;
  overflow: hidden;
}
@media screen and (max-width: 768px) {
  .calendar-tab {
    margin: 20px 0 40px;
  }
}
.calendar-lists {
  display: grid;
  grid-template-columns: repeat(7, minmax(0, 1fr));
}
.calendar-lists > div {
  position: relative;
  min-width: 0;
  min-height: 172px;
  border-right: 1px solid #dddddd;
  border-top: 1px solid #dddddd;
  text-align: left;
  box-sizing: border-box;
}
@media screen and (max-width: 768px) {
  .calendar-lists > div {
    min-height: 92px;
  }
}
.calendar-lists > div::before {
  content: "";
  position: absolute;
  inset: 0;
  border: 4px solid #2288ff;
  opacity: 0;
  transition: 0.3s ease-in-out;
  z-index: 0;
}
.calendar-lists > div:nth-child(-n+7) {
  min-height: 34px;
  text-align: center;
  align-content: center;
  font-size: 1.6rem;
  font-weight: 600;
  letter-spacing: 0.05em;
}
@media screen and (max-width: 768px) {
  .calendar-lists > div:nth-child(-n+7) {
    min-height: 22px;
    font-size: 1.2rem;
  }
}
.calendar-lists > div:nth-child(-n+7)::before {
  content: unset;
}
.calendar-lists > div > * {
  position: relative;
  z-index: 2;
}
.calendar-lists > div.active .txt01 {
  color: #2288ff !important;
}
.calendar-lists > div.active::before {
  opacity: 1;
}
.calendar-lists > div:nth-child(-n+7) {
  border-top: 0;
}
.calendar-lists > div > div {
  display: grid;
  justify-items: stretch;
  width: 100%;
  box-sizing: border-box;
  padding-inline: 10px;
}
@media screen and (max-width: 768px) {
  .calendar-lists > div > div {
    padding-inline: 2px;
    padding-bottom: 0;
    padding-inline: 5px;
  }
}
.calendar-lists > div > div button {
  cursor: pointer;
  font-weight: 600;
  margin-top: 10px;
  background-color: #FFF5F4;
  color: #ff3e29;
  border: 1px solid #FFCFC9;
  border-radius: 6px;
  min-height: 24px;
  align-content: center;
  text-align: center;
  padding-inline: 10px;
  max-width: 100%;
  box-sizing: border-box;
}
@media screen and (max-width: 768px) {
  .calendar-lists > div > div button {
    font-size: 1rem;
    white-space: nowrap;
    word-break: break-all;
    line-height: 1.3;
    padding-inline: 2px;
    margin-top: 5px;
  }
}
.calendar-lists > div > div button.green {
  color: #00BB77;
  background: #F2FCF8;
  border-color: #BFEEDD;
}
@media screen and (max-width: 768px) {
  .calendar-lists > div > div button .pc {
    display: none;
  }
}
@media screen and (min-width: 769px) {
  .calendar-lists > div > div button .sp {
    display: none;
  }
}
.calendar-lists > div .txt01 {
  min-height: 38px;
  align-content: center;
  padding-inline: 10px;
}
@media screen and (max-width: 768px) {
  .calendar-lists > div .txt01 {
    min-height: 26px;
    font-size: 1.4rem !important;
    text-align: center !important;
  }
}
.calendar-lists > div .txt01.active {
  background-color: #2288ff;
  color: #ffffff !important;
}
.calendar-modal {
  position: fixed !important;
  inset: 0;
  z-index: 100 !important;
  text-align: center;
  align-content: center;
  transition: 0.3s ease;
  box-sizing: border-box;
}
@media screen and (max-width: 768px) {
  .calendar-modal {
    padding: 20px !important;
    z-index: 99999 !important;
  }
}
.calendar-modal:not(.is-show) {
  opacity: 0;
  visibility: hidden;
}
.calendar-modal .close {
  cursor: pointer;
  position: absolute;
  top: -15px;
  right: -15px;
  width: 30px;
  height: 30px;
  background-color: #000000;
  border-radius: 50%;
}
.calendar-modal .close::before, .calendar-modal .close::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 12px;
  height: 1px;
  background-color: #ffffff;
}
.calendar-modal .close::before {
  transform: translate(-50%, -50%) rotate(45deg);
}
.calendar-modal .close::after {
  transform: translate(-50%, -50%) rotate(-45deg);
}
.calendar-modal .modal-bg {
  position: absolute;
  inset: 0;
  background-color: #000000;
  opacity: 0.3;
}
.calendar-modal .modal-card {
  position: relative;
  width: 100%;
  max-width: 640px;
  border-radius: 6px;
  background-color: #F5F5F5 !important;
  text-align: left;
  padding: 40px;
  margin-inline: auto;
  z-index: 2;
  box-sizing: border-box;
}
@media screen and (max-width: 768px) {
  .calendar-modal .modal-card {
    padding: 30px 20px;
  }
}
.calendar-modal .modal-header {
  font-size: 2rem;
  font-weight: 600;
  line-height: 1.5;
  margin-bottom: 60px;
  padding-bottom: 20px;
  border-bottom: 2px solid #dddddd;
}
@media screen and (max-width: 768px) {
  .calendar-modal .modal-header {
    margin-bottom: 20px;
  }
}
.calendar-modal .modal-header a {
  text-underline-offset: 4px;
}
.calendar-modal .modal-body {
  font-weight: 300;
  font-size: 2rem;
  line-height: 1.5;
}
@media screen and (max-width: 768px) {
  .calendar-modal .modal-body {
    font-size: 1.2rem;
    font-size: 1.6rem;
    line-height: 2;
    text-align: left;
  }
}
.calendar-modal .modal-body b {
  font-weight: 600;
}
.calendar-modal .modal-body > p {
  text-align: center !important;
  font-weight: 300 !important;
  font-size: 2rem !important;
  line-height: 1.5 !important;
}
@media screen and (max-width: 768px) {
  .calendar-modal .modal-body > p {
    font-size: 1.6rem !important;
    line-height: 2;
  }
}
.calendar-modal .modal-body > div {
  margin-bottom: 30px;
}
@media screen and (max-width: 768px) {
  .calendar-modal .modal-body > div {
    margin-bottom: 20px;
  }
}
.calendar-modal .modal-footer {
  text-align: center;
  margin-top: 30px;
}
.calendar-modal .modal-footer a,
.calendar-modal .modal-footer button {
  cursor: pointer;
  position: relative;
  display: inline-block;
  box-sizing: border-box;
  text-decoration: none !important;
  min-width: 270px;
  font-weight: bold;
  font-size: 1.6rem;
  line-height: 60px;
  text-decoration: none;
  background: linear-gradient(90deg, rgb(255, 62, 41) 0%, rgb(255, 136, 0) 100%);
  color: #fff;
  padding: 0 30px 0 10px;
  outline: unset;
  border: 0;
  border-radius: 5px;
  box-shadow: 0 0 4px 0 rgba(20, 29, 29, 0.05), 0 12px 14px 0 rgba(20, 29, 29, 0.08);
  transition: 0.3s ease-in-out;
}
@media screen and (max-width: 768px) {
  .calendar-modal .modal-footer a,
  .calendar-modal .modal-footer button {
    min-width: 240px;
  }
}
.calendar-modal .modal-footer a::after,
.calendar-modal .modal-footer button::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 20px;
  display: block;
  width: 8px;
  height: 8px;
  margin-top: -4px;
  border-top: 1px solid #fff;
  border-right: 1px solid #fff;
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}
